For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceFDX APIChangelog
GuidesAPI ReferenceFDX APIChangelog
  • Overview
    • Introduction
    • Authentication
  • Accounts
  • Statements
  • Customers
      • GETGet current customer
      • GETList account customers
  • Transactions
LogoLogo
Contact usLogin
CustomersCustomers

List account customers

GET
/accounts/:id/customers
GET
/fdx/v6/accounts/:id/customers
$curl https://api.givechariot.com/fdx/v6/accounts/id/customers \
> -H "Authorization: Bearer <token>"
1{
2 "customers": [
3 {
4 "customerId": "string",
5 "name": {
6 "first": "string",
7 "middle": "string",
8 "last": "string",
9 "suffix": "string",
10 "prefix": "string",
11 "company": "string"
12 },
13 "type": "BUSINESS",
14 "taxId": "string",
15 "addresses": [
16 {
17 "line1": "string",
18 "city": "string",
19 "region": "string",
20 "postalCode": "string",
21 "country": "string",
22 "line2": "string",
23 "line3": "string"
24 }
25 ],
26 "businessCustomer": {
27 "name": "string",
28 "registeredId": "string"
29 }
30 }
31 ],
32 "page": {
33 "nextPageKey": "string",
34 "totalElements": 1
35 }
36}

Get the customers associated with an account. Returns organization-level identity (nonprofit name, EIN, address).

Was this page helpful?
Previous

List account transactions

Next
Built with

Authentication

AuthorizationBearer

OAuth 2.0 Bearer token. A client may hold both scopes, but each FDX authorization must contain exactly one — they are mutually exclusive per authorization. An authorization containing both will be rejected. See the Authentication page for token exchange details.

Path parameters

idstringRequiredformat: "uuid"
Unique identifier for the account

Response

The list of customers for the account
customerslist of objects
pageobject
Pagination metadata for list responses.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error